Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I am going to create a new Virtual Machine running Debian Lenny. I want to install the latest stable version of Perl (5.10.1) such that all non-root users would use it by default. However, I don't want to mess up the system perl.

share|improve this question

1 Answer 1

up vote 1 down vote accepted

I found a solution: How can I install a separate perl without disturbing the existing one?. I guess that I just didn't use the right search terms yesterday.

UPDATE:
See perlbrew by Kang-min Liu. It allows you to easily install multiple versions of perl without disturbing the system perl.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.